# Asterisk Project : Asterisk 12 Application_MixMonitor

Added by wikibot , edited by wikibot on Aug 29, 2013

# MixMonitor()

### Synopsis

Record a call and mix the audio during the recording. Use of StopMixMonitor is required to guarantee the audio file is available for processing during dialplan execution.

### Description

Records the audio on the current channel to the specified file.

This application does not automatically answer and should be preceeded by an application such as Answer or Progress().

Note

MixMonitor runs as an audiohook.

- `MIXMONITOR_FILENAME` - Will contain the filename used to record.

### Syntax

    MixMonitor(filename.extension,options,command)

##### Arguments

- `file`
  - `filename` - If filename is an absolute path, uses that path, otherwise creates the file in the configured monitoring directory from `asterisk.conf.`
  - `extension`
- `options`
  - `a` - Append to the file instead of overwriting it.
  - `b` - Only save audio to the file while the channel is bridged.
  - `v` - Adjust the heard volume by a factor of x (range `-4` to `4`)
    - `x`
  - `V` - Adjust the spoken volume by a factor of x (range `-4` to `4`)
    - `x`
  - `W` - Adjust both, heard and spoken volumes by a factor of x (range `-4` to `4`)
    - `x`
  - `r` - Use the specified file to record the receive audio feed. Like with the basic filename argument, if an absolute path isn't given, it will create the file in the configured monitoring directory.
    - `file`
  - `t` - Use the specified file to record the transmit audio feed. Like with the basic filename argument, if an absolute path isn't given, it will create the file in the configured monitoring directory.
    - `file`
  - `i` - Stores the MixMonitor's ID on this channel variable.
    - `chanvar`
  - `m` - Create a copy of the recording as a voicemail in the indicated mailbox(es) separated by commas eg. m(1111default,...). Folders can be optionally specified using the syntax: mailbox@context/folder
    - `mailbox`
- `command` - Will be executed when the recording is over.
  Any strings matching `^{X`} will be unescaped to `X`.
  All variables will be evaluated at the time MixMonitor is called.

### See Also

- Asterisk 12 Application_Monitor
- Asterisk 12 Application_StopMixMonitor
- Asterisk 12 Application_PauseMonitor
- Asterisk 12 Application_UnpauseMonitor
- Asterisk 12 Function_AUDIOHOOK_INHERIT

### Import Version

This documentation was imported from Asterisk Version Unknown